Browse documents
curl --request GET \
--url https://api.sftpsync.io/documents/browse \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sftpsync.io/documents/browse"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sftpsync.io/documents/browse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folders": [
{
"name": "<string>",
"path": "<string>",
"isPipelineProtected": true,
"size": 123,
"lastModified": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"name": "<string>",
"path": "<string>",
"size": 123,
"isPipelineProtected": true,
"lastModified": "2023-11-07T05:31:56Z"
}
],
"breadcrumb": {
"connectionId": "<string>",
"segments": [
"<string>"
]
},
"nextToken": "<string>"
}Documents
Browse documents
List one page of folders and files under a path within a connection (drive).
GET
/
documents
/
browse
Browse documents
Authorizations
Query Parameters
Folder path relative to the connection root (empty = root).
Pagination token from a previous page.
⌘I